Bug 450829 - printf format string in groupd
printf format string in groupd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: David Teigland
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:24 EDT by Steve Whitehouse
Modified: 2009-11-19 02:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 10:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2008-06-11 05:24:13 EDT
From the ia64 build logs:

make[2]: Entering directory
`/usr/src/upstream/cluster/rhcluster/obj-ia64/group/daemon'
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../lib/
-I/usr/include -c -o app.o
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/app.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../lib/
-I/usr/include -c -o cpg.o
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/cpg.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../lib/
-I/usr/include -c -o cman.o
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/cman.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../lib/
-I/usr/include -c -o joinleave.o
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/joinleave.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\"
-I/usr/src/upstream/cluster/rhcluster/cluster/cman/lib -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../include/
-I/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/../lib/
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/main.c
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/main.c: In function
'app_deliver':
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/main.c:176: warning:
format '%d' expects type 'int', but argument 6 has type 'long unsigned int'
/usr/src/upstream/cluster/rhcluster/cluster/group/daemon/main.c:176: warning:
format '%d' expects type 'int', but argument 6 has type 'long unsigned int'
Comment 1 John Poelstra 2008-10-18 00:03:24 EDT
What version of the package has these issues?
Comment 2 Steve Whitehouse 2008-10-20 05:01:21 EDT
Upstream/rawhide, i.e. the latest version.
Comment 3 Bug Zapper 2008-11-25 21:24:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:33:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 David Teigland 2009-11-18 10:58:26 EST
Please just send a patch to the mailing list to fix the warnings instead of bothering with bugzilla.  The warnings could have been fixed in a small fraction of the time everyone has spent mucking with bugzilla.
Comment 6 Fabio Massimo Di Nitto 2009-11-19 02:23:40 EST
this was fixed when we did enable paranoia cflags anyway. we only forgot to close the bug

Note You need to log in before you can comment on or make changes to this bug.